CVS tomcat4/debian
Jeroen van Wolffelaar
jeroen@haydn.debian.org
Tue Apr 12 14:11:03 2005
Update of /cvsroot/pkg-java/tomcat4/debian
In directory haydn:/tmp/cvs-serv25740
Modified Files:
changelog tomcat4.init
Log Message:
Corrected init script to be bash, as bashisms are used, and set
JITC_PROCESSOR_TYPE when running on powerpc
--- /cvsroot/pkg-java/tomcat4/debian/changelog 2005/04/08 03:39:12 1.26
+++ /cvsroot/pkg-java/tomcat4/debian/changelog 2005/04/12 14:10:18 1.27
@@ -8,6 +8,8 @@
* Updated license to Apache License 2.0 in copyright file
* Added runtime dependencies to resolve possible issues with differing
library versions possible with certain installations (Closes: #300209)
+ * Corrected init script to be bash, as bashisms are used, and set
+ JITC_PROCESSOR_TYPE when running on powerpc
-- Barry Hawkins <barry@bytemason.org> Tue, 15 Mar 2005 15:40:34 -0500
--- /cvsroot/pkg-java/tomcat4/debian/tomcat4.init 2005/04/01 21:29:15 1.13
+++ /cvsroot/pkg-java/tomcat4/debian/tomcat4.init 2005/04/12 14:10:18 1.14
@@ -1,4 +1,4 @@
-#! /bin/sh -e
+#!/bin/bash
#
# /etc/init.d/tomcat4 -- startup script for the Tomcat 4 servlet engine
#
@@ -6,6 +6,10 @@
# Modified for Debian GNU/Linux by Ian Murdock <imurdock@gnu.ai.mit.edu>.
# Modified for Tomcat by Stefan Gybas <sgybas@debian.org>.
+# Note, lots of bashisms used here, don't change to /bin/sh !
+
+set -e
+
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
NAME=tomcat4
DESC="Tomcat 4.1 servlet engine"
@@ -60,7 +64,7 @@
export JAVA_HOME
# If the architecture is powerpc, set the JITC_PROCESSOR_TYPE
-if [$(dpkg --print-architecture) -eq powerpc] ; then
+if [ $(dpkg --print-architecture) = powerpc ] ; then
export JITC_PROCESSOR_TYPE=6
fi